IPB

Welcome Guest ( Log In | Register )

opus experimental versions as part of opus-tools, and other questions, just curious
raygrote
post Feb 3 2013, 01:32
Post #1





Group: Members
Posts: 48
Joined: 4-April 08
Member No.: 52552



Hi all,
I've been playing with Opus for a bit and really like it, but I do have some signals that trip it up as high as 128 kbps, and even higher sometimes. I even created a very simple sample which tripped it up at 160 and above, but I will need to do more testing to make sure the codec was to blame. If that indeed is the problem, I will put them here along with ABX so hopefully it can be improved. In fact I am probably violating a rule by saying I can hear these without posting evidence, but again I have to do further testing to make sure this is legitimate.
But first I was going to run these few samples past the experimental builds which seem to try to address these issues. But I don't know where to obtain them. I once found one, but I can't remember the version, or where i got it. I would be looking for the opusenc utility like the one in the command line opus-tools. I really hope these are being made somewhat regularly because I have no clue on how to work with sources.
Also, if these builds really do improve quality, and I think they will, will they begin folding back into the main release like AoTuV did with the official Vorbis years ago?
And another interesting thought. Could the research that went into developing Opus be used to refine a codec like Vorbis which is only for storage? Maybe some new coding strategies based on Celt but something which works well in high delay situations. I know Opus is great for storage as is, and was intended to be so, but if low delay codecs are at so much of a disadvantage, then it would make sense to wonder what something like Opus could do without that restriction. It's probably impractical at least for now but it's an interesting thought.
Thanks for your answers and have a good day!
Go to the top of the page
+Quote Post
 
Start new topic
Replies
raygrote
post Feb 3 2013, 15:28
Post #2





Group: Members
Posts: 48
Joined: 4-April 08
Member No.: 52552



Hi,
This may be a stupid question, but how would I use that version? I know nothing about compiling opusenc or anything else for that matter.
The command line Opus-tools only goes up to libopus 1.0.2 in opusenc.
If I get alpha 1.1 to work and I still have problem samples I will put them in a new topic.
Thanks.
Go to the top of the page
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 28th November 2014 - 13:40